/***
 * Tidi Notification Manager js script
 */

document.addEventListener('DOMContentLoaded', function () {
    const toggles = document.querySelectorAll('.tidi-nm-toggle');
    toggles.forEach(function (toggle) {
        toggle.addEventListener('change', function () {
            const slider = toggle.nextElementSibling;
            if (slider) {
                slider.textContent = toggle.checked ? slider.getAttribute('data-on') : slider.getAttribute('data-off');
            }
        });
    });
});

